import React from 'react'
import { H2 } from '@pubsweet/ui'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'
import { Text } from 'pubsweet-component-faraday-ui'

import Step0 from './SignUpStep0'
import Step1 from './SignUpStep1'

const SignUpInvitation = ({
  type,
  step,
  error,
  onBack,
  journal,
  onSubmit,
  nextStep,
  prevStep,
  onSubmitText,
  initialValues,
  title = 'Add New Account Details',
}) => (
  <Root>
    <CustomH2>{title}</CustomH2>
    {error && <Text error>Token expired or Something went wrong.</Text>}
    {step === 0 && (
      <Step0
        error={error}
        initialValues={initialValues}
        journal={journal}
        onSubmit={nextStep}
      />
    )}
    {step === 1 && (
      <Step1
        error={error}
        initialValues={initialValues}
        journal={journal}
        onBack={onBack}
        onSubmit={onSubmit}
        onSubmitText={onSubmitText}
        type={type}
      />
    )}
  </Root>
)

export default SignUpInvitation

// #region styles
const Root = styled.div`
  background-color: ${th('colorBackgroundHue')};
  border-radius: ${th('borderRadius')};
  box-shadow: ${th('boxShadow')};
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  margin-top: calc(${th('gridUnit')} * 10);
  padding: calc(${th('gridUnit')} * 5) calc(${th('gridUnit')} * 4);
  width: calc(${th('gridUnit')} * 50);
`

const CustomH2 = styled(H2)`
  text-align: center;
`
// #endregion
